Update an external payment
curl --request PATCH \
--url https://payouts.api.trykarat.com/external-payments/{external_payment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 55000,
"description": "Updated amount"
}
'import requests
url = "https://payouts.api.trykarat.com/external-payments/{external_payment_id}"
payload = {
"amount": 55000,
"description": "Updated amount"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 55000, description: 'Updated amount'})
};
fetch('https://payouts.api.trykarat.com/external-payments/{external_payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"description": "<string>",
"date": "2023-12-25",
"paymentMethod": "<string>",
"platform": "<string>",
"receiptFileName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"recipient": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com"
}
}
}{
"error": {
"message": "amount: amount must be positive"
}
}{
"error": {
"message": "Invalid api key"
}
}{
"error": {
"message": "Payment intent not found"
}
}Update an external payment
Updates one or more fields on an external payment. All fields are optional; only provided fields are changed.
PATCH
/
external-payments
/
{external_payment_id}
Update an external payment
Authorizations
Pass your API key as a bearer token: Authorization: Bearer <API_KEY>.
Path Parameters
The ID of the external payment.
Body
application/json
Response
The updated external payment.
Show child attributes
Show child attributes
Was this page helpful?
⌘I